# ResOS Wrapper for Ruby

This will help you access the ResOs API as described on https://documenter.getpostman.com/view/3308304/SzzehLGp?version=latesthttps://documenter.getpostman.com/view/3308304/SzzehLGp?version=latest

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'res_os_ruby'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install res_os_ruby

## Usage

### CONFIGURATION

```ruby
ResOs.configure do |config|
  config.api_key = "<Your API key>"
end
```

###  USAGE
#### Collection of bookings:
```ruby
ResOs.bookings
```

#### Collection of bookings for a specific date
```ruby
ResOs.bookings(date: '2020-12-01')
```
You can also pass in `:limit` and `:skip`.

#### Single booking:
```ruby
ResOs.bookings(id: '<Booking ID>')
```
#### Create booking:
```ruby
ResOs.bookings(type: :post, <pass in bookings details>)
```

#### Update booking
```ruby
ResOs.bookings(
  type: :put,
  id: '<Booking ID>'
  <pass in bookings details>
  )
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/res_os_ruby.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
